/* eslint-disable max-len */

import { FollowMasterClientImpl } from './client/FollowMasterClient';
import { AddonIndicatorClientImpl } from './client/AddonIndicatorClient';
import { AddonEnabledRepositoryImpl } from './repositories/AddonEnabledRepository';
import { ClipboardRepositoryImpl } from './repositories/ClipboardRepository';
import { SettingRepositoryImpl } from './repositories/SettingRepository';
import { TabsClientImpl } from './client/TabsClient';
import { ConsoleClientImpl } from './client/ConsoleClient';
import { ConsoleFramePresenterImpl } from './presenters/ConsoleFramePresenter';
import { FindMasterClientImpl } from './client/FindMasterClient';
import { FindPresenterImpl } from './presenters/FindPresenter';
import { FindRepositoryImpl } from './repositories/FindRepository';
import { FindClientImpl } from './client/FindClient';
import { FocusPresenterImpl } from './presenters/FocusPresenter';
import { FollowKeyRepositoryImpl } from './repositories/FollowKeyRepository';
import { FollowMasterRepositoryImpl } from './repositories/FollowMasterRepository';
import { FollowSlaveRepositoryImpl } from './repositories/FollowSlaveRepository';
import { FollowPresenterImpl } from './presenters/FollowPresenter';
import { KeymapRepositoryImpl } from './repositories/KeymapRepository';
import { MarkKeyRepositoryImpl } from './repositories/MarkKeyRepository';
import { ScrollPresenterImpl } from './presenters/ScrollPresenter';
import { MarkClientImpl } from './client/MarkClient';
import { MarkRepositoryImpl } from './repositories/MarkRepository';
import { NavigationPresenterImpl } from './presenters/NavigationPresenter';
import { SettingClientImpl } from './client/SettingClient';
import { container } from 'tsyringe';

container.register('FollowMasterClient', { useValue: new FollowMasterClientImpl(window.top) });
container.register('AddonIndicatorClient', { useClass: AddonIndicatorClientImpl });
container.register('AddonEnabledRepository', { useClass: AddonEnabledRepositoryImpl });
container.register('ClipboardRepository', { useClass: ClipboardRepositoryImpl });
container.register('SettingRepository', { useClass: SettingRepositoryImpl });
container.register('TabsClient', { useClass: TabsClientImpl });
container.register('ConsoleClient', { useClass: ConsoleClientImpl });
container.register('ConsoleFramePresenter', { useClass: ConsoleFramePresenterImpl });
container.register('FindMasterClient', { useClass: FindMasterClientImpl });
container.register('FindPresenter', { useClass: FindPresenterImpl });
container.register('FindRepository', { useClass: FindRepositoryImpl });
container.register('FindClient', { useClass: FindClientImpl });
container.register('FocusPresenter', { useClass: FocusPresenterImpl });
container.register('FollowKeyRepository', { useClass: FollowKeyRepositoryImpl });
container.register('FollowMasterRepository', { useClass: FollowMasterRepositoryImpl });
container.register('FollowSlaveRepository', { useClass: FollowSlaveRepositoryImpl });
container.register('FollowPresenter', { useClass: FollowPresenterImpl });
container.register('KeymapRepository', { useClass: KeymapRepositoryImpl });
container.register('MarkKeyRepository', { useClass: MarkKeyRepositoryImpl });
container.register('ScrollPresenter', { useClass: ScrollPresenterImpl });
container.register('MarkClient', { useClass: MarkClientImpl });
container.register('MarkRepository', { useClass: MarkRepositoryImpl });
container.register('NavigationPresenter', { useClass: NavigationPresenterImpl });
container.register('SettingClient', { useClass: SettingClientImpl });
